Retrieve underwriting details | Moov Documentation

Retrieve underwriting details

Retrieve underwriting associated with a given Moov account.

Read our underwriting guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/profile.read scope.

GET

/accounts/{accountID}/underwriting

Example Requests

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/underwriting" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.04.00"

Ask

mc, _ := moov.NewClient()

var accountID string

mc.GetUnderwriting(ctx, accountID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.underwriting.get({
    accountID: "efe07546-f697-4da5-bf73-d9987efd4cdd",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$response = $sdk->underwriting->get(
    accountID: 'efe07546-f697-4da5-bf73-d9987efd4cdd'
);

if ($response->underwriting !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetUnderwritingResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

GetUnderwritingResponse res = sdk.underwriting().get()
                .accountID("efe07546-f697-4da5-bf73-d9987efd4cdd")
                .call();

if (res.underwriting().isPresent()) {
            System.out.println(res.underwriting().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.underwriting.get(account_id="efe07546-f697-4da5-bf73-d9987efd4cdd")

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.underwriting.get(account_id: 'efe07546-f697-4da5-bf73-d9987efd4cdd')

unless res.underwriting.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Underwriting.GetAsync(accountID: "efe07546-f697-4da5-bf73-d9987efd4cdd");

// handle response

Example Response

Describes underwriting values (in USD) used for card payment acceptance.

{
  "averageTransactionSize": 0,
  "maxTransactionSize": 0,
  "averageMonthlyTransactionVolume": 0,
  "status": "approved",
  "volumeByCustomerType": {
    "businessToBusinessPercentage": 0,
    "consumerToBusinessPercentage": 0
  },
  "cardVolumeDistribution": {
    "ecommercePercentage": 0,
    "cardPresentPercentage": 0,
    "mailOrPhonePercentage": 0,
    "debtRepaymentPercentage": 0
  },
  "fulfillment": {
    "hasPhysicalGoods": true,
    "isShippingProduct": true,
    "shipmentDurationDays": 0,
    "returnPolicy": "none"
  },
  "geographicReach": "international-only",
  "businessPresence": "commercial-office",
  "pendingLitigation": "bankruptcy-or-insolvency",
  "volumeShareByCustomerType": {
    "business": 0,
    "consumer": 0,
    "p2p": 0
  },
  "collectFunds": {
    "ach": {
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      }
    },
    "cardPayments": {
      "cardAcceptanceMethods": {
        "inPersonPercentage": 0,
        "mailOrPhonePercentage": 0,
        "onlinePercentage": 0
      },
      "currentlyAcceptsCards": true,
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      },
      "fulfillment": {
        "method": "bill-or-debt-payment",
        "timeframe": "immediate"
      },
      "refundPolicy": "conditional-refund"
    }
  },
  "moneyTransfer": {
    "pullFromCard": {
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      }
    },
    "pushToCard": {
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      }
    }
  },
  "sendFunds": {
    "ach": {
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      }
    },
    "pushToCard": {
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      }
    },
    "rtp": {
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      }
    },
    "instantBank": {
      "estimatedActivity": {
        "averageTransactionAmount": 0,
        "maximumTransactionAmount": 0,
        "monthlyVolumeRange": "under-10k"
      }
    }
  }
}

Response headers

A unique identifier used to trace requests.